/**
 * Copyright 2013-2015, Facebook, Inc.
 * All rights reserved.
 *
 * This source code is licensed under the BSD-style license found in the
 * LICENSE file in the root directory of this source tree. An additional grant
 * of patent rights can be found in the PATENTS file in the same directory.
 *
 * @providesModule ReactWithAddons
 */

/**
 * This module exists purely in the open source project, and is meant as a way
 * to create a separate standalone build of React. This build has "addons", or
 * functionality we've built and think might be useful but doesn't have a good
 * place to live inside React core.
 */
'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _srcIndex = require('../src/index');

var _srcIndex2 = _interopRequireDefault(_srcIndex);

var _LinkedStateMixin = require('./LinkedStateMixin');

var _LinkedStateMixin2 = _interopRequireDefault(_LinkedStateMixin);

var _ReactComponentWithPureRenderMixin = require('./ReactComponentWithPureRenderMixin');

var _ReactComponentWithPureRenderMixin2 = _interopRequireDefault(_ReactComponentWithPureRenderMixin);

var _ReactCSSTransitionGroup = require('./ReactCSSTransitionGroup');

var _ReactCSSTransitionGroup2 = _interopRequireDefault(_ReactCSSTransitionGroup);

var _ReactFragment = require('./ReactFragment');

var _ReactFragment2 = _interopRequireDefault(_ReactFragment);

var _ReactTransitionGroup = require('./ReactTransitionGroup');

var _ReactTransitionGroup2 = _interopRequireDefault(_ReactTransitionGroup);

var _srcComponent = require('../src/Component');

var _srcComponent2 = _interopRequireDefault(_srcComponent);

var _shallowCompare = require('./shallowCompare');

var _shallowCompare2 = _interopRequireDefault(_shallowCompare);

var _update = require('./update');

var _update2 = _interopRequireDefault(_update);

var warning = function warning() {};

var cloneWithProps = _srcIndex2['default'].cloneElement;

var warnedAboutBatchedUpdates = false;

_srcIndex2['default'].addons = {
  CSSTransitionGroup: _ReactCSSTransitionGroup2['default'],
  LinkedStateMixin: _LinkedStateMixin2['default'],
  PureRenderMixin: _ReactComponentWithPureRenderMixin2['default'],
  TransitionGroup: _ReactTransitionGroup2['default'],
  batchedUpdates: function batchedUpdates() {
    return _srcComponent2['default'].batchedUpdates.apply(this, arguments);
  },
  cloneWithProps: cloneWithProps,
  createFragment: _ReactFragment2['default'].create,
  shallowCompare: _shallowCompare2['default'],
  update: _update2['default']
};

exports['default'] = _srcIndex2['default'];
module.exports = exports['default'];