/**
 * Copyright 2013-2015, Facebook, Inc.
 * All rights reserved.
 *
 * This source code is licensed under the BSD-style license found in the
 * LICENSE file in the root directory of this source tree. An additional grant
 * of patent rights can be found in the PATENTS file in the same directory.
 *
 * @providesModule quoteAttributeValueForBrowser
 */

'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _escapeTextContentForBrowser = require('./escapeTextContentForBrowser');

var _escapeTextContentForBrowser2 = _interopRequireDefault(_escapeTextContentForBrowser);

/**
 * Escapes attribute value to prevent scripting attacks.
 *
 * @param {*} value Value to escape.
 * @return {string} An escaped string.
 */
function quoteAttributeValueForBrowser(value) {
  return '"' + (0, _escapeTextContentForBrowser2['default'])(value) + '"';
}

exports['default'] = quoteAttributeValueForBrowser;
module.exports = exports['default'];